Subject: Re: WIth git-next, writing bitmaps fails when keep files are present

From: Siddharth Agarwal <[email-masked]>
Date: Thu, 23 Jan 2014 12:36:32 -0800

On 01/22/2014 06:38 PM, Siddharth Agarwal wrote:
> In our case we have .keep files lying around from ages ago (possibly 
> due to kill -9s run on the server). It also means that running repack 
> -a with bitmap writing enabled on a repo becomes problematic if a 
> fetch is run concurrently.

We briefly discussed locking our repos while the repack was run, but the 
repo that would benefit the most from repacks cannot be locked to pushes 
for even a tenth of the time that repack takes on it.